/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\khaldun stealables\RapieroftheUnworthy.cs
Lines of code: 41
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class Rapieroftheunworthy : Longsword
	{
		public override int ArtifactRarity{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public Rapieroftheunworthy()
		{
			Hue = 2406;
			Name = "Rapier of the Unworthy"; 
			Slayer = SlayerName.Fey;
			WeaponAttributes.HitLeechMana = 50;
			WeaponAttributes.UseBestSkill = 1;
			Attributes.BonusInt = 10;
			Attributes.WeaponDamage = 50;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=100;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}
		

		public Rapieroftheunworthy( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			//if ( Slayer == SlayerName.None )
			//	Slayer = SlayerName.DaemonDismissal;
		}
	}
}